#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define service cargo_vendor
Name:           obs-service-%{service}
Summary:        An OBS source service: Download, verify and vendor Rust crates (libraries)
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/obs-service-%{service}
Version:        0.4.5~6
Release:        1.1
Source:         %{name}-%{version}.tar.zst
BuildRequires:  python3 >= 3.6
BuildRequires:  zstd
Requires:       gzip
Requires:       python3 >= 3.6
Requires:       python3-zstandard
Requires:       tar
Requires:       zstd
Requires:       (cargo or rustup)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
An OBS Source Service that will download,
verify and vendor Rust crates (libraries)

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %{service} %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 %{service}.service %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Wed Aug  2 2023 william.brown@suse.com
- Update to version 0.4.5~6:
  * Improve performance options for persons outside of EU
* Tue Jul 11 2023 william.brown@suse.com
- Update to version 0.4.5~5:
  * 32 copy symlinks as symlinks
* Thu Jun  8 2023 william.brown@suse.com
- Update to version 0.4.5~4:
  * always check if list is empty otherwise it will indexerror (#31)
* Wed Jun  7 2023 william.brown@suse.com
- Update to version 0.4.5~3:
  * fix: change to empty [] list (#30)
* Tue Jun  6 2023 william.brown@suse.com
- Update to version 0.4.5~2:
  * feature: add cargotoml option. used for syncing (#29)
* Tue May 23 2023 william.brown@suse.com
- Update to version 0.4.5~1:
  * Create files as root
* Tue Mar 28 2023 william.brown@suse.com
- Update to version 0.4.5~0:
  * Fix parsing of the description (#26)
* Fri Feb 24 2023 william.brown@suse.com
- Update to version 0.4.4~2:
  * Add support for srctar globbing
* Mon Feb 13 2023 william.brown@suse.com
- Update to version 0.4.4~1:
  * Remove the dirs exist ok option that blocked running on 3.6
* Wed Feb  8 2023 william.brown@suse.com
- Update to version 0.4.4~0:
  * Change default compression, default to locked
  * Tweaks
* Fri Jun 10 2022 William Brown <william.brown@suse.com>
- Enforce run time requires on python 3.8
* Mon Jun  6 2022 William Brown <william.brown@suse.com>
- Add build requires on python >= 3.8
* Thu May 19 2022 william.brown@suse.com
- Update to version 0.4.3~5:
  * Improve bulk update, revert default compress type due to obs issues
- Update to version 0.4.3~4:
  * Improve compressor behaviour
* Thu Apr 21 2022 william.brown@suse.com
- Update to version 0.4.3~3:
  * Support zst
* Wed Apr  6 2022 wbrown@suse.de
- Update to version 0.4.3~git2.08145c7:
  * Update to account for srctar and tag
* Wed Mar  9 2022 William Brown <william.brown@suse.com>
- Allow both rustup and cargo to provide the needed cargo-vendor
  backend. Defaults to installing cargo if neither is found.
* Fri Jul 30 2021 wbrown@suse.de
- Update to version 0.4.3~git0.afec7bc:
  * Fix for update issue
* Wed Jul 21 2021 wbrown@suse.de
- Update to version 0.4.2~git0.c597055:
  * Make cargo vendor quieter
* Wed Jul 21 2021 wbrown@suse.de
- Update to version 0.4.1~git0.43d1ddd:
  * Update README
  * Allow cargo update to run before vendoring (#15)
  * Cleanup vendor folder after compression (#13)
* Wed Feb 24 2021 Adrian Schröter <adrian@suse.de>
- add missing dependency to cargo
* Thu Aug 20 2020 wbrown@suse.de
- Initial package
